### Function

# Gtk.DrawingAreaDrawFunc

#### Declaration

    void
    DrawingAreaDrawFunc (
      GtkDrawingArea* drawing_area,
      cairo_t* cr,
      int width,
      int height,
      gpointer user_data
    )

#### Description [src]

Whenever `drawing_area` needs to redraw, this function will be called.

This function should exclusively redraw the contents of the drawing area and must not call any widget functions that cause changes.

#### Parameters

`drawing_area` | `GtkDrawingArea`
| the `GtkDrawingArea` to redraw
| Ownership is not transferred to the callee
`cr` | `cairo_t*`
| the context to draw to
| Ownership is not transferred to the callee
`width` | `int`
| the actual width of the contents. This value will be at least as wide as GtkDrawingArea:width.
`height` | `int`
| the actual height of the contents. This value will be at least as wide as GtkDrawingArea:height.
`user_data` | `gpointer`
| user data